Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCMethodParameterDef

`java.lang.Object
oracle.jbo.mom.PropertyNameValueDef
oracle.adf.model.binding.DCMethodParameterDef`

All Implemented Interfaces:
  oracle.adf.model.binding.DCIBaseParameterDef, oracle.adf.model.OperationParameter, java.io.Serializable

public class DCMethodParameterDef
extends oracle.jbo.mom.PropertyNameValueDef
implements java.io.Serializable, oracle.adf.model.binding.DCIBaseParameterDef, oracle.adf.model.OperationParameter

See Also:
  Serialized Form

Field Summary
`static int` | `PARAM_DEFAULT` For internal use only.
`static int` | `PARAM_FINAL` Binding definition has the expression to get to the value that should be used for this parameter.
`static int` | `PARAM_MANDATORY` Parameter value has to be set by the caller.
`static int` | `PARAM_OPTIONAL` Binding definition's value is used only if the parameter is not specifically set by the caller.
`static int` | `PARAM_REQUIRED` Parameter value has to be set by the caller.

Fields inherited from class oracle.jbo.mom.PropertyNameValueDef
`NULL_VALUE`

Constructor Summary
`DCMethodParameterDef()`
`DCMethodParameterDef(DCMethodParameterDef other)`
`DCMethodParameterDef(java.lang.String name, java.lang.String type, java.lang.Object value)`
`DCMethodParameterDef(java.lang.String name, java.lang.String type, java.lang.Object value, int scope)`

Method Summary
`int` | `getOption()`
`boolean` | `isFinal()` A usage cannot override this parameter expression.
`boolean` | `isMandatory()` Return true if a value for this parameter has to be passed in in the usage of this parameter's container.
`boolean` | `isOptional()`
`boolean` | `isParamFinal()` Deprecated. since 10.1.3
`boolean` | `isParamRequired()` Deprecated. since 10.1.3
`void` | `loadFromXMLFile(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `setOption(int scope)`

Methods inherited from class oracle.jbo.mom.PropertyNameValueDef
`clone, convertToText, convertToVector, copy, getColumnList, getFullName, getName, getType, getTypedValue, getTypeName, getValue, getXMLElementTag, setBeanProperty, setName, setType, setValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.adf.model.OperationParameter
`getName, getTypeName, getValue`

Field Detail

### PARAM_FINAL

    public static int PARAM_FINAL

  Binding definition has the expression to get to the value that should be used for this parameter.

### PARAM_OPTIONAL

    public static int PARAM_OPTIONAL

  Binding definition's value is used only if the parameter is not specifically set by the caller. This is the default.

### PARAM_REQUIRED

    public static int PARAM_REQUIRED

  Parameter value has to be set by the caller.

### PARAM_MANDATORY

    public static final int PARAM_MANDATORY

  Parameter value has to be set by the caller.
  See Also:
    Constant Field Values

### PARAM_DEFAULT

    public static final int PARAM_DEFAULT

  For internal use only.
  See Also:
    Constant Field Values

Constructor Detail

### DCMethodParameterDef

    public DCMethodParameterDef()

### DCMethodParameterDef

    public DCMethodParameterDef(java.lang.String name,
                                java.lang.String type,
                                java.lang.Object value,
                                int scope)

### DCMethodParameterDef

    public DCMethodParameterDef(java.lang.String name,
                                java.lang.String type,
                                java.lang.Object value)

### DCMethodParameterDef

    public DCMethodParameterDef(DCMethodParameterDef other)

Method Detail

### getOption

    public int getOption()

### setOption

    public void setOption(int scope)

### loadFromXMLFile

    public void loadFromXMLFile(oracle.jbo.mom.xml.DefElement xmlElement)

### isFinal

    public final boolean isFinal()

  Description copied from interface: `oracle.adf.model.binding.DCIBaseParameterDef`
  A usage cannot override this parameter expression.
  Specified by:
    `isFinal` in interface `oracle.adf.model.binding.DCIBaseParameterDef`

### isOptional

    public final boolean isOptional()

  Specified by:
    `isOptional` in interface `oracle.adf.model.binding.DCIBaseParameterDef`

### isMandatory

    public final boolean isMandatory()

  Description copied from interface: `oracle.adf.model.binding.DCIBaseParameterDef`
  Return true if a value for this parameter has to be passed in in the usage of this parameter's container.
  Specified by:
    `isMandatory` in interface `oracle.adf.model.binding.DCIBaseParameterDef`

### isParamFinal

    public final boolean isParamFinal()

  Deprecated. since 10.1.3

### isParamRequired

    public final boolean isParamRequired()

  Deprecated. since 10.1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.